Package Details: db4.5 4.5.20-2

Git Clone URL: (read-only)
Package Base: db4.5
Description: The Berkeley DB embedded database system 4.5
Upstream URL:
Licenses: custom:db4.5
Submitter: Allan
Maintainer: jorge_barroso
Last Packager: jorge_barroso
Votes: 127
Popularity: 0.000000
First Submitted: 2010-10-03 02:10
Last Updated: 2015-06-15 19:24

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

nixscripter commented on 2015-07-03 17:25

I get conflicts in the filesystem by installing the regular db package. I had to patch the PKGBUILD to fix them:

--- PKGBUILD 2015-07-03 12:24:43.723024682 -0500
+++ PKGBUILD 2015-07-03 12:17:52.198681988 -0500
@@ -25,6 +25,8 @@
package() {
cd "${srcdir}"/$_rname-${pkgver}/build_unix
make DESTDIR="${pkgdir}" install
+ cd "${pkgdir}/usr"
+ for d in *; do mkdir $d/${pkgname} && (mv $d/* $d/${pkgname}/ || true); done

# vim:set ts=2 sw=2 et:

It seems that if you do this, then Python 2.4 (which is what this is needed for) will still find it automatically.

asdil12 commented on 2013-08-05 15:19

the arch=any is invalid for this pkg, as it contains binaries - arch=any is only for scripts.
please use
arch=('i686' 'x86_64')

jorge_barroso commented on 2013-03-04 21:35

sorry I didn't realize about that little error U.U' correctly re-uploaded

revel commented on 2013-03-04 14:52

isn't there something wrong with this pkg?
db4.5 5.3.21
it's supposed to provide db-4.5 and yet it operates on db-5.3 sources

master commented on 2011-12-01 10:28


fackamato commented on 2011-11-30 16:21

It doesn't build, cannot download sources:

==> Retrieving Sources...
-> Downloading db-4.5.20.tar.gz...
--2011-11-30 16:18:22--
Connecting to||:80... connected.
HTTP request sent, awaiting response... 400 Bad Request
2011-11-30 16:18:22 ERROR 400: Bad Request.

New URL: (remove -uk)
==> ERROR: Failure while downloading db-4.5.20.tar.gz
The build failed.

master commented on 2011-04-18 09:14

Well, try again. I've embedded patches into the package.

Anonymous comment on 2011-04-18 07:14

I can't build it!

-> Found db-4.5.20.tar.gz
-> Downloading patch.
--2011-04-18 14:13:31--
Resolving (
Connecting to (||:443... failed: Connection refused.
==> ERROR: Failure while downloading patch.
==> ERROR: Makepkg was unable to build db4.5.

master commented on 2011-03-30 09:32

It seems to work.

master commented on 2011-03-26 20:11

@kveras SUSE build factory seems to be dead. Let's give them some time to recover.

All comments